<!DOCTYPE html>
<html lang="fr">
<head>
  <title>Présentation projet : groupe 5</title>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.2.3/dist/css/bootstrap.min.css" rel="stylesheet">
  <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.2.3/dist/js/bootstrap.bundle.min.js"></script>
  <style>
    figure {
      border: 1px #cccccc solid;
      padding: 4px;
      margin: auto;
    }
    
    figcaption {
      background: rgba(0,0,0,0.7);
      color: white;
      font-style: italic;
      padding: 2px;
      text-align: center;
    }
    </style>
</head>
<body>

<div class="container-fluid p-5 bg-primary text-white text-center">
  <h1>Principe du jeu</h1>
  <p>Groupe 05 : Lucas LARZILLIERE, Tristan VILLETTE, Florian GAVA</p>
  <a href='ProjetS2.html' class="row-sm-4 ">
    <button type="button" class="btn btn-secondary">Retour</button>
  </a>
</div>
<div class="container mt-5">
    <div class="row">
        <h3>L'idée:</h3>
        <figure>
            <img src="img/Poule Renard Vipère.jpg" width="400" height="200">
        
         </figure>
         <h6>L'objectif est de recréer un Poul Renard Vipère en adaptant les régles</h6>
         <p> On a donc seulement pris 1 joueur par équipe qui peut se faire attraper et attraper en fonction de si il est une poule un renard ou une vipère.</p>
         <p> Cependant l'objectif du jeu n'est plus de capturer toute l'équipe adverse mais d'ammaser le plus de point cela 2 solutions capturer un adversaire qui rapporte 5 point ou alors capturer un trésor sur la carte qui rapporte 1 point.</p>
         <p>Celui qui a le plus de point a la fin de la partie gagne.</p>
         <img src="img/jeu.png" >
         <figcaption> Le jeu </figcaption>
         <p></p>
         <p> Mais la difficulté de l'implentation des règles de base nous à fait nous rabbattre sur une autre idée plus simple : </p>
         <p></p>
         <p> - Les 3 équipes sont constitués de 1 joueur</p>
         <p> - Le plateau est composé de 30x30 cases avec un bord d'une case et des obstacles</p>
         <p> - Le plateau sera généré aléatoirement à chaque éxecution du programme</p>
         <p> - Les points d'apparations sont répartis uniformément sur les bords</p>
         <p> - Leur but est d'atteindre un nombre de points</p>
         <p> - Ils gagnent des points en récoltant des lingots d'or</p>
         <p> - Ils font perdre des points à leurs proies lorsqu'ils les touchent</p>
         <p></p>
         <p> Pour cela, on va développer en C un set de régles que l'on va améliorer par apprentissage à l'aide d'une optimisation discrète.<br>
          Ensuite on appliquera une couche graphique avec l'aide de la librairie SDL2</p>
         <p></p>
         <a href="https://www.youtube.com/watch?v=rnHHY0v8reI">Vidéo du jeu</a>
    </div>
</div>


</body>
</html>
